<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

## This is step to connect socket easly
## Example:

```dart

// STEP1: Add Dependency

dependencies:
  flutter_io_socket: ^0.0.1

//STEP2: Add this in widget
Socket socket;

init()
{
socket = io('http://localhost:3000',, <String, dynamic>{
      'transports': ['websocket'],
      'autoConnect': false,
    });

socket.connect();

connectAndListen();

}

void connectAndListen(){

    socket.onConnect((_) => print('connect'));
    socket.onDisconnect((_) => print('disconnect'));
    socket.onError((_) => print('error'));
    socket.onConnecting((_) => print('connecting'));
    socket.onConnectError((_) => print('connect Error'));
    socket.onConnectTimeout((data) => print('timeout'));
    socket.on('connect_error', (value) {print('connect error ${value.toString()}');});

    //When an event recieved from server, data is added to the stream
    socket.on('event', (data) => streamSocket.addResponse);

    //when sending message using emit
    Map<String, dynamic> map= new Map<String, dynamic>();
    map["message"] = "Hello";
    socket.emit('sendMessage', map);

}

//Step3: dispose the socket object

  disposeSocket() {
    socket.close();
    socket.dispose();
  }

```
