
import 'package:flutter_io_socket/src/util/event_emitter.dart';

///
/// Helper for subscriptions.
///
/// @param {Object|EventEmitter} obj with `Emitter` mixin or `EventEmitter`
/// @param {String} event name
/// @param {Function} callback
/// @api public
///
Destroyable on(EventEmitter obj, String ev, EventHandler fn) {
  obj.on(ev, fn);
  return Destroyable(() => obj.off(ev, fn));
}

class Destroyable {
  Function callback;
  Destroyable(this.callback);
  void destroy() => callback();
}
